# Uses of Enum Class
org.apache.sysds.runtime.data.DenseBlock.Type

Packages that use DenseBlock.Type
Package
Description
org.apache.sysds.runtime.data

## Uses of DenseBlock.Type in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data that return DenseBlock.Type
Modifier and Type
Method
Description
`static DenseBlock.Type`
DenseBlockFactory.`getDenseBlockType(DenseBlock dblock)`
`static DenseBlock.Type`
DenseBlock.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DenseBlock.Type[]`
DenseBlock.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.data with parameters of type DenseBlock.Type
Modifier and Type
Method
Description
`static DenseBlock`
DenseBlockFactory.`createDenseBlock(Types.ValueType vt, DenseBlock.Type type, int[] dims, boolean dedup)`
`static boolean`
DenseBlockFactory.`isDenseBlockType(DenseBlock sblock, DenseBlock.Type type)`